/* -- -- -- -- -- BAS DE PAGE - COMPONENT - DÉBUT -- -- -- -- -- */

.body > *.footpart {
  position: relative;
  padding-block: 107px 76px;
  margin-block: 150px 44px;
  margin-inline: 30px;
  width: calc(100% - 60px);
}

.body > *.footpart::after {
  content: "";
  display: block;
  background-repeat: no-repeat;
  height: 100%;
  width: 100%;
  z-index: -1;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.25);
}

.body > *.footpart::before {
  content: "";
  display: block;
  background-repeat: no-repeat;
  height: 100%;
  width: 100%;
  z-index: 0;
  position: absolute;
  bottom: -7px;
  right: 0;
  background-position: center right;
  background-image: url(../../img/illustrations/footpartIcon.svg);
}

.footpart .mascot {
  position: absolute;
  top: -149px;
  left: 0;
  height: 160px;
  width: auto;
  aspect-ratio: 225/139;
}

.footpart .illustration {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: -1;
}

.footpart .title {
  color: var(--color-white);
  font-size: 1.625rem;
  line-height: 2rem;
  margin-bottom: 18px;
  position: relative;
  z-index: 1;
  max-width: 350px;
}

.footpart .btn {
  position: relative;
  z-index: 1;
}

@media (width > 426px) {
  .body > *.footpart::before {
    bottom: 0px;
  }
}

@media (width > 991px) {
  .body > *.footpart::before {
    background-image: url(../../img/illustrations/footpartIconDesktop.svg);
    background-size: 90%;
    background-position: 220% center;
  }

  .body > *.footpart::after {
    background: linear-gradient(
      96deg,
      rgba(0, 0, 0, 0) 45%,
      rgba(0, 0, 0, 0.83) 99%
    );
    width: 55%;
    right: unset;
    left: 0;
  }

  .body > *.footpart {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin: 0px auto 67px auto;
  }

  .footpart .mascot {
    top: unset;
    bottom: -10px;
    left: unset;
    right: -25px;
  }

  .footpart .part {
    max-width: 463px;
    margin-right: 20%;
  }

  .footpart .title {
    font-size: 2.25rem;
    line-height: 2.5rem;
    max-width: unset;
  }
}

@media (width > 1199px) {
  .footpart .mascot {
    height: 200px;
    bottom: -15px;
  }

  .body > *.footpart::before {
    background-size: 72%;
    background-position: 120% center;
  }
}

@media (width > 1399px) {
  .footpart .part {
    margin-right: 28%;
  }
}

/* -- -- -- -- -- BAS DE PAGE  - COMPONENT - FIN -- -- -- -- -- */
